'use strict';

var nodemailer = require('nodemailer');
var chalk = require('chalk');

module.exports = function setupMailer(config) {
  return function sendEmailMessage(_ref, cb) {
    var subject = _ref.subject;
    var body = _ref.body;

    var transporter = nodemailer.createTransport({
      port: config.smtpPort,
      host: config.smtpHost,
      secure: config.secure,
      auth: {
        user: config.user,
        pass: config.pass
      }
    });
    var mailOptions = {
      from: '"borgjs" <' + config.from + '>',
      to: config.to,
      subject: subject,
      html: body
    };

    transporter.sendMail(mailOptions, function (err, info) {
      if (err) {
        console.log(chalk.red('Error while sending the email.'), err);
      }
      console.log(chalk.yellow('Email report sent.'));
      cb();
    });
  };
};